import java.text.DecimalFormat;
import java.util.ArrayList;

public class Student {
    private int idStudent;
    private String name;
    private int age;
    private ArrayList<Konzultace> listOfConsolultations;

    public Student(int idStudent, String name, int age) {
        this.idStudent = idStudent;
        this.name = name;
        this.age = age;
        this.listOfConsolultations = new ArrayList<>();

    }

    public void inviteConsultation (Konzultace meeting){
        this.listOfConsolultations.add(meeting);
    }

    public String ConsultationToString (){
        String toReturn = "";
        for(Konzultace oneConsultation : this.listOfConsolultations){
            toReturn += ("Konzultace " + oneConsultation.getSubject() + " bude v " + oneConsultation.getHour() +":" + new DecimalFormat("00").format(oneConsultation.getMinutes()) +"\n");
        }
        return toReturn;
    }

    public int getIdStudent() {
        return idStudent;
    }

    public void setIdStudent(int idStudent) {
        this.idStudent = idStudent;
    }

    public String getName() {
        return name;
    }


    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }
}
